package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.SysLocaleLanguage;
import cn.estsh.i3plus.pojo.platform.bean.SysLocaleResource;

import java.util.List;

/**
 * @Description : 系统资源相关服务，所有sys开头的对象都可在此服务中处理
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-11 16:59
 * @Modify:
 **/
public interface ISystemResourceService {

    SysLocaleLanguage insertSysLocaleLanguage(SysLocaleLanguage lang);

    SysLocaleLanguage updateSysLocaleLanguage(SysLocaleLanguage lang);

    void deleteSysLocaleLanguageById(long id);

    List<SysLocaleLanguage> listSysLocaleLanguage(SysLocaleLanguage lang);

    ListPager<SysLocaleLanguage> listSysLocaleLanguageByPager(SysLocaleLanguage lang, Pager pager);

    SysLocaleResource insertSysLocaleResource(SysLocaleResource res);

    SysLocaleResource updateSysLocaleResource(SysLocaleResource res);

    void deleteSysLocaleResourceById(long id);

    void deleteSysLocaleResourceByIds(Long[] ids);

    ListPager<SysLocaleResource> listSysLocaleResourceByPager(SysLocaleResource res,Pager pager);

    List<SysLocaleResource> listSysLocaleResource(SysLocaleResource res);

    SysLocaleResource getSysLocaleResourceByLanguage(int resourceType,String langCode,String langKey);
}
